﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 샘플 DAO
        /// </summary>
        private SampleDAO dao = new SampleDAO();

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.selectButton.Click += selectButton_Click;
            this.insertButton.Click += insertButton_Click;
            this.updateButton.Click += updateButton_Click;
            this.deleteButton.Click += deleteButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Select 버튼 클릭시 처리하기 - selectButton_Click(sender, e)

        /// <summary>
        /// Select 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void selectButton_Click(object sender, EventArgs e)
        {
            IList<SampleModel> list = this.dao.GetSampleList();

            MessageBox.Show(list.Count.ToString());
        }

        #endregion
        #region Insert 버튼 클릭시 처리하기 - insertButton_Click(sender, e)

        /// <summary>
        /// Insert 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void insertButton_Click(object sender, EventArgs e)
        {
            this.dao.InsertSample(DateTime.Now, 9.99999, 1.11111);
        }

        #endregion
        #region Update 버튼 클릭시 처리하기 - updateButton_Click(sender, e)

        /// <summary>
        /// Update 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void updateButton_Click(object sender, EventArgs e)
        {
            this.dao.UpdateSample(1, 8.88888);
        }

        #endregion
        #region Delete 버튼 클릭시 처리하기 - deleteButton_Click(sender, e)

        /// <summary>
        /// Delete 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void deleteButton_Click(object sender, EventArgs e)
        {
            this.dao.DeleteSample(1);
        }

        #endregion
    }
}